Subject: Re: [PATCH v4] fast-(import|export): improve on commit signature output format

From: Junio C Hamano <[email-masked]>
Date: Thu, 19 Jun 2025 07:55:32 -0700

Christian Couder <[email-masked]> writes:

> This v4 is just about fixing a few bugs in the tests using the SHA-256
> object format compared to the v3. (I had issues with CI tests on v3,
> so I sent it without waiting for the results.)

Thanks.

I am not sure if "I am happy is either 1 or 256" is what you really
want, though.  The test presumably knows what algorithm is being
used during its run, so wouldn't you want to say more like "I know I
used sha256, and I expect seeing sha256, ah, I see sha256 and even
better I see no sha1, so I am very happy"?

> There are no tests in this v4 and in v3 with both a SHA-1 and a
> SHA-256 signature on the same commit though, as I am not sure yet how
> to best generate a commit with such signatures. Suggestions welcome!

Good point to fill potential gaps.  If we had such a commit, then
would these tests say "I know I want both 1 and 256, and I do see
one instance each of 1 and 256, so I am happy"?